using BACKND;
using BACKND.Database;
using Cinemachine;
using StarterAssets;

using UnityEngine;
using UnityEngine.InputSystem;

public class Player : NetworkBehaviour
{
    private CinemachineVirtualCamera _CinemachineVirtualCamera = null;

    private NetworkIdentity _NetworkIdentity = null;

    public void Start()
    {
        _NetworkIdentity = GetComponent<NetworkIdentity>();
        if (_NetworkIdentity.isLocalPlayer)
        {
            _CinemachineVirtualCamera = FindObjectOfType<CinemachineVirtualCamera>();
            if (_CinemachineVirtualCamera != null)
            {
                _CinemachineVirtualCamera.Follow = transform.Find("PlayerCameraRoot");
            }

            gameObject.GetComponent<CharacterController>().enabled = true;
            gameObject.GetComponent<ThirdPersonController>().enabled = true;
            gameObject.GetComponent<PlayerInput>().enabled = true;
        }
    }
}